Subject: bug#8196: 23.1; Feature request with code: "C-x TAB" to understand tab-stop-list

From: Stefan Monnier <[email-masked]>
Date: Sat, 13 Jul 2013 16:02:35 -0400

> I think it would be better if "C-x TAB" (bound to indent-rigidly)
> advanced the indentation to the next tab stop (as in tab-stop-list) by
> default, instead of by 1.

That sounds reasonable.  It can be changed by modifying simply the
interactive spec of indent-rigidly.

> Similarly, if negative prefix argument were given (with "C-u -") it
> would change the indentation to the previous tab stop.

Same here.

For both changes, there's a risk some users will be annoyed, but they
can still get the old behavior with a C-u 1 or C-u - 1 prefix.

This said, there's another good default behavior for non-prefixed C-x
TAB which is to enter an interactive loop that lets the user move the
block left/right with the cursor keys.  I think this would be a more
useful change.

        Stefan